summaryrefslogtreecommitdiffstats
path: root/office/zim
diff options
context:
space:
mode:
Diffstat (limited to 'office/zim')
-rw-r--r--office/zim/README38
-rw-r--r--office/zim/slack-desc14
-rw-r--r--office/zim/zim.SlackBuild54
-rw-r--r--office/zim/zim.info8
4 files changed, 61 insertions, 53 deletions
diff --git a/office/zim/README b/office/zim/README
index 1d303ff71e..bd5dcb5b89 100644
--- a/office/zim/README
+++ b/office/zim/README
@@ -1,25 +1,23 @@
-Zim aims to bring the concept of a wiki to your desktop. Every page is
-saved as a text file with wiki markup. Pages can contain links to other
-pages, and are saved automatically. Creating a new page is as easy as
-linking to a non-existing page. This tool is intended to keep track of
-TODO lists or to serve as a personal scratch book. But it will also
-serve you when writing longer and more complicated documents.
+Zim is a graphical text editor used to maintain a collection of wiki
+pages. Each page can contain links to other pages, simple formatting,
+and images. Pages are stored in a folder structure, like in an
+outliner, and can have attachments. Creating a new page is as easy as
+linking to a nonexistent page. All data is stored in plain text files
+with wiki formatting. Various plugins provide additional
+functionality, like a task list manager, an equation editor, a tray
+icon, and support for version control.
-A "desktop wiki" means that we try to capture the idea of a wiki, not
-as a webpage but as a collection of files on your local file system
-that can be edited with a GUI application. The main focus is a kind
-of personal wiki that serves for all kind of notes: todo-lists,
-addresses, brainstorm ideas etc.
+Zim can be used to:
-But we want to go further then just a wiki filled with random content.
-It should also be possible to use you random notes as the basis for
-more structured data: articles, presentations etc. Zim will not include
-tools to layout a presentation or something like that, you should use
-your office suite of choice for that, but it should be a tool that can
-deliver all the content for a presentation in a form that only needs a
-template and some layout before usage. Therefore certain features
-normally not found in wikis will be added.
+ Keep an archive of notes
+ Keep a daily or weekly journal
+ Take notes during meetings or lectures
+ Organize task lists
+ Draft blog entries and emails
+ Do brainstorming
-NOTE: Zim can be expanded with plugins. From 'preferences' go to
+
+NOTE:
+Zim can be expanded with plugins. From 'preferences' go to
'plugins' and anything marked 'failed' can be installed either
from SBo or pip. These aren't dependencies; Zim runs without them.
diff --git a/office/zim/slack-desc b/office/zim/slack-desc
index 271522b845..773bcbfc2b 100644
--- a/office/zim/slack-desc
+++ b/office/zim/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
zim: zim (A Desktop Wiki Editor)
zim:
-zim: Zim aims to bring the concept of a wiki to your desktop. Every page
-zim: is saved as a text file with wiki markup. Pages can contain links to
-zim: other pages, and are saved automatically. Creating a new page is as
-zim: easy as linking to a non-existing page. This tool is intended to keep
-zim: track of TODO lists or to serve as a personal scratch book. But it
-zim: will also serve you when writing longer and more complicated
-zim: documents.
+zim: Zim is a graphical text editor used to maintain a collection of wiki
+zim: pages. Each page can contain links to other pages, simple formatting,
+zim: and images. Pages are stored in a folder structure, like in an
+zim: outliner, and can have attachments.
+zim:
+zim:
zim:
zim: Homepage: http://zim-wiki.org/
+zim:
diff --git a/office/zim/zim.SlackBuild b/office/zim/zim.SlackBuild
index 7f21085fbc..27b2c1205c 100644
--- a/office/zim/zim.SlackBuild
+++ b/office/zim/zim.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for zim
-# Copyright 2019-2020 Andrew Payne <phalange@komputermatrix.com>
+# Copyright 2019-2022 Andrew Payne <phalange@komputermatrix.com>
# Copyright 2015-2017 Brenton Earl <brent@exitstatusone.com>
# Copyright 2013 Michael Ren <micron33@gmail.com>
# All rights reserved.
@@ -24,10 +24,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=zim
-VERSION=${VERSION:-0.73.3}
+SRCNAM=desktop-wiki
+VERSION=${VERSION:-0.75.2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -37,25 +41,22 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="CHANGELOG.md CONTRIBUTING.md LICENSE PLUGIN_WRITING.md README.md"
-
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
+# Abort build if architecture is not 64-bit.
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported."
+ exit 1
fi
set -e
@@ -64,8 +65,16 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+
+# some scripts pull down the tarball with a truncated name
+if [ -f $CWD/$VERSION.tar.gz ]
+then
+ tar xvf $CWD/$VERSION.tar.gz
+else
+ tar xvf $CWD/$PRGNAM-$SRCNAM-$VERSION.tar.gz
+fi
+
+cd $PRGNAM-$SRCNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -87,7 +96,8 @@ mkdir -p $PKG/usr/share/icons
cp -r xdg/hicolor/ $PKG/usr/share/icons/
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a {CHANGELOG.md,CONTRIBUTING.md,LICENSE,PLUGIN_WRITING.md,README.md} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -95,4 +105,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/zim/zim.info b/office/zim/zim.info
index e4937fe89e..986565b147 100644
--- a/office/zim/zim.info
+++ b/office/zim/zim.info
@@ -1,10 +1,10 @@
PRGNAM="zim"
-VERSION="0.73.3"
+VERSION="0.75.2"
HOMEPAGE="http://zim-wiki.org/"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://zim-wiki.org/downloads/zim-0.73.3.tar.gz"
-MD5SUM_x86_64="6accfefc11cc56a2eda7cd4f5710eaaa"
-REQUIRES="pygobject3-python3"
+DOWNLOAD_x86_64="https://github.com/zim-desktop-wiki/zim-desktop-wiki/archive/refs/tags/0.75.2.tar.gz"
+MD5SUM_x86_64="66e6ecd1e9906c7662f622ddc18e5315"
+REQUIRES=""
MAINTAINER="Andrew Payne"
EMAIL="phalange@komputermatrix.com"